Bug 1600 - [UPDATE REQUEST] pulseaudio-3.0
: [UPDATE REQUEST] pulseaudio-3.0
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-06 13:46 MSK by Aleksandr Kazantcev
Modified: 2013-03-22 12:50 MSK (History)
3 users (show)

See Also:
RPM Package: pulseaudio-3.0-2
ISO-related:
Bad POT generating:
Upstream:
alex.burmashev: published+


Attachments
report.odt (2.58 MB, application/vnd.oasis.opendocument.text)
2013-03-20 00:57 MSK, Postnikov Dmitry
Details
pulse.log (260.48 KB, text/x-log)
2013-03-20 01:01 MSK, Postnikov Dmitry
Details
report-3-0-6.odt (1.83 MB, application/vnd.oasis.opendocument.text)
2013-03-21 14:44 MSK, Postnikov Dmitry
Details
pulse2.log (259.72 KB, text/x-log)
2013-03-21 17:07 MSK, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-02-06 13:46:23 MSK
New version of pulseaudio
Comment 1 Aleksandr Kazantcev 2013-02-06 13:50:41 MSK
https://abf.rosalinux.ru/build_lists/941962
https://abf.rosalinux.ru/build_lists/941966

advisory: This update release a new version of Linux sound server - Pulseaudio. With version 3.0 will come many bugfix and new features like:

- support ALSA UCM (Use Case Manager) 
- bluetooth sound device support
- moving setting to ~/.config
- drop HAL support
Comment 2 Postnikov Dmitry 2013-02-06 18:04:35 MSK
When updating error:
===============
[root@mindlife pastordi]# urpmi --auto-update
источник «main (Desktop2012.1-1)» уже обновлён
источник «main updates (Desktop2012.1-2)» уже обновлён
источник «contrib (Desktop2012.1-3)» уже обновлён
источник «contrib updates (Desktop2012.1-4)» уже обновлён
источник «non-free (Desktop2012.1-5)» уже обновлён
источник «non-free updates (Desktop2012.1-6)» уже обновлён
источник «restricted (Desktop2012.1-7)» уже обновлён
источник «restricted updates (Desktop2012.1-8)» уже обновлён
источник «filesystem» уже обновлён
источник «systemd12» уже обновлён
источник «pulse-audio3» уже обновлён
Не удаётся установить запрошенный пакет:
pulseaudio-module-bluetooth-3.0-2-rosa2012.1.x86_64 (из-за неудовлетворённости libsbc.so.1(SBC_1.0)(64bit))
Продолжить установку? (Y/n) n
Следующий пакет будет удалён для обновления остальных:
pulseaudio-module-bluetooth-2.1-4-rosa2012.1.x86_64
 (из-за неудовлетворённости pulseaudio == 2.1-4) (y/N) n
[root@mindlife pastordi]#
==============
Comment 3 Aleksandr Kazantcev 2013-02-06 19:16:09 MSK
We need wait appear this package in mirrors

https://abf.rosalinux.ru/build_lists/941951
https://abf.rosalinux.ru/build_lists/941953
Comment 4 Aleksandr Kazantcev 2013-02-08 12:43:06 MSK
Please test this package:

https://abf.rosalinux.ru/build_lists/942738
https://abf.rosalinux.ru/build_lists/942739

Advisory +

- add webrtc support
Comment 5 Postnikov Dmitry 2013-02-08 13:03:53 MSK
Taken to work... 24h.
Comment 6 Postnikov Dmitry 2013-02-08 15:20:01 MSK
When updating error:
http://cdn.2safe.com/250249033560/pa3.png
Comment 7 Aleksandr Kazantcev 2013-02-08 15:22:13 MSK
try add this package

https://abf.rosalinux.ru/build_lists/942686
https://abf.rosalinux.ru/build_lists/942685
Comment 8 Vladimir Potapov 2013-02-11 16:22:41 MSK
The package updated without QA
Comment 9 Alexander Burmashev 2013-02-11 16:23:43 MSK
As far as i can see pulseaudio itself is not yet  published.
Comment 10 Vladimir Potapov 2013-02-11 18:26:25 MSK
(In reply to comment #9)
> As far as i can see pulseaudio itself is not yet  published.

I see to buildlist.... it is error?
Comment 11 Alexander Burmashev 2013-02-11 18:27:13 MSK
buildlists that i see are not marked as published
https://abf.rosalinux.ru/build_lists/942738
https://abf.rosalinux.ru/build_lists/942739
Comment 12 Vladimir Potapov 2013-02-11 18:38:05 MSK
Oh! I see last buildlists
https://abf.rosalinux.ru/build_lists/942686
https://abf.rosalinux.ru/build_lists/942685

Ok, i re-check this update tomorrow.
Comment 13 Postnikov Dmitry 2013-02-11 18:43:15 MSK
(In reply to comment #12)
> Oh! I see last buildlists
> https://abf.rosalinux.ru/build_lists/942686
> https://abf.rosalinux.ru/build_lists/942685
> 
> Ok, i re-check this update tomorrow.

I send report test to Kazancev & Peyter yesterday.
Comment 14 Vladimir Potapov 2013-02-11 18:51:41 MSK
Please, send me too!
Comment 16 Vladimir Potapov 2013-03-13 12:22:11 MSK
The update route to extended testing
Comment 17 Postnikov Dmitry 2013-03-20 00:57:28 MSK
Created attachment 1268 [details]
report.odt

****************************
Extended testing report
****************************
Comment 18 Postnikov Dmitry 2013-03-20 01:01:07 MSK
Created attachment 1269 [details]
pulse.log

****************************
Extended testing report
****************************
+ pulse.log file
Comment 19 Aleksandr Kazantcev 2013-03-20 01:49:13 MSK
Test fixed packages:

https://abf.rosalinux.ru/build_lists/1025613
https://abf.rosalinux.ru/build_lists/1025614
Comment 20 Postnikov Dmitry 2013-03-21 00:45:40 MSK
(In reply to comment #19)
> Test fixed packages:
> 
> https://abf.rosalinux.ru/build_lists/1025613
> https://abf.rosalinux.ru/build_lists/1025614

Took the test extended...
Comment 21 Postnikov Dmitry 2013-03-21 14:44:21 MSK
Created attachment 1270 [details]
report-3-0-6.odt

****************************
Extended testing report
****************************
Comment 22 Aleksandr Kazantcev 2013-03-21 16:02:02 MSK
See output of

ls -al /home/you_user_name/.config/pulse/

and

ls -al /run/user/500/pulse


I think you has wrong permissions.


Try remove /home/you_user_name/.config/pulse/ and /run/user/500/pulse, than restart you system.
Comment 23 Postnikov Dmitry 2013-03-21 16:49:12 MSK
This is TO delete the folder.
=============================
pastordi@mindlife:~$ ls -al ~/.config/pulse/
итого 84
drwx------  2 pastordi pastordi  4096 марта 21 11:26 ./
drwxr-xr-x 10 pastordi pastordi  4096 марта 21 13:19 ../
-rw-r--r--  1 pastordi pastordi 12288 марта 21 11:26 08ead6eb71ea0adbc355889d50d05b74-card-database.tdb
-rw-r--r--  1 pastordi pastordi    41 марта 21 14:19 08ead6eb71ea0adbc355889d50d05b74-default-sink
-rw-r--r--  1 pastordi pastordi    42 марта 21 14:19 08ead6eb71ea0adbc355889d50d05b74-default-source
-rw-r--r--  1 pastordi pastordi 28672 марта 21 13:48 08ead6eb71ea0adbc355889d50d05b74-device-manager.tdb
-rw-r--r--  1 pastordi pastordi 12288 марта 21 15:58 08ead6eb71ea0adbc355889d50d05b74-device-volumes.tdb
-rw-r--r--  1 pastordi pastordi 12288 марта 21 14:20 08ead6eb71ea0adbc355889d50d05b74-stream-volumes.tdb
-rw-------  1 pastordi pastordi   256 марта 21 11:26 cookie
pastordi@mindlife:~$ 
pastordi@mindlife:~$ 
pastordi@mindlife:~$ ls -al /run/user/500/pulse
итого 4
drwx------ 2 pastordi pastordi 100 марта 21 14:19 ./
drwx------ 4 pastordi pastordi 100 марта 21 11:51 ../
srwxrwxrwx 1 pastordi pastordi   0 марта 21 14:19 dbus-socket=
srwxrwxrwx 1 pastordi pastordi   0 марта 21 14:19 native=
-rw------- 1 pastordi pastordi   5 марта 21 14:19 pid
pastordi@mindlife:~$
Comment 24 Postnikov Dmitry 2013-03-21 16:50:22 MSK
This AFTER deleting folders. And reboot.
=======================================
pastordi@mindlife:~$ ls -al /run/user/500/pulse
итого 4
drwx------ 2 pastordi pastordi 100 марта 21 16:45 ./
drwx------ 4 pastordi pastordi 100 марта 21 16:45 ../
srwxrwxrwx 1 pastordi pastordi   0 марта 21 16:45 dbus-socket=
srwxrwxrwx 1 pastordi pastordi   0 марта 21 16:45 native=
-rw------- 1 pastordi pastordi   5 марта 21 16:45 pid
pastordi@mindlife:~$ 
pastordi@mindlife:~$ ls -al ~/.config/pulse/
итого 84
drwx------  2 pastordi pastordi  4096 марта 21 16:45 ./
drwxr-xr-x 10 pastordi pastordi  4096 марта 21 16:45 ../
-rw-r--r--  1 pastordi pastordi 12288 марта 21 16:45 08ead6eb71ea0adbc355889d50d05b74-card-database.tdb
-rw-r--r--  1 pastordi pastordi    43 марта 21 16:45 08ead6eb71ea0adbc355889d50d05b74-default-sink
-rw-r--r--  1 pastordi pastordi    42 марта 21 16:45 08ead6eb71ea0adbc355889d50d05b74-default-source
-rw-r--r--  1 pastordi pastordi 28672 марта 21 16:45 08ead6eb71ea0adbc355889d50d05b74-device-manager.tdb
-rw-r--r--  1 pastordi pastordi 12288 марта 21 16:45 08ead6eb71ea0adbc355889d50d05b74-device-volumes.tdb
-rw-r--r--  1 pastordi pastordi 12288 марта 21 16:45 08ead6eb71ea0adbc355889d50d05b74-stream-volumes.tdb
-rw-------  1 pastordi pastordi   256 марта 21 16:45 cookie
pastordi@mindlife:~$
======================================

And same error...


=======================================
pastordi@mindlife:~$ cat /var/log/user.log | grep pulse
Mar 21 16:45:12 mindlife pulseaudio[3019]: [pulseaudio] authkey.c: Failed to open cookie file '/home/pastordi/.config/pulse/cookie': Нет такого файла или каталога
Mar 21 16:45:12 mindlife pulseaudio[3018]: [pulseaudio] authkey.c: Failed to open cookie file '/home/pastordi/.config/pulse/cookie': Нет такого файла или каталога
Mar 21 16:45:12 mindlife pulseaudio[3018]: [pulseaudio] authkey.c: Failed to load authorization key '/home/pastordi/.config/pulse/cookie': Нет такого файла или каталога
Mar 21 16:45:12 mindlife pulseaudio[3015]: [pulseaudio] authkey.c: Failed to open cookie file '/home/pastordi/.config/pulse/cookie': Нет такого файла или каталога
Mar 21 16:45:12 mindlife pulseaudio[3015]: [pulseaudio] authkey.c: Failed to load authorization key '/home/pastordi/.config/pulse/cookie': Нет такого файла или каталога
Mar 21 16:45:12 mindlife pulseaudio[3019]: [pulseaudio] authkey.c: Failed to load authorization key '/home/pastordi/.config/pulse/cookie': Нет такого файла или каталога
Mar 21 16:45:14 mindlife pulseaudio[3086]: [pulseaudio] authkey.c: Failed to open cookie file '/home/pastordi/.config/pulse/cookie': Нет такого файла или каталога
Mar 21 16:45:14 mindlife pulseaudio[3086]: [pulseaudio] authkey.c: Failed to load authorization key '/home/pastordi/.config/pulse/cookie': Нет такого файла или каталога
Mar 21 16:45:16 mindlife pulseaudio[3090]: [pulseaudio] authkey.c: Failed to open cookie file '/home/pastordi/.config/pulse/cookie': Нет такого файла или каталога
Mar 21 16:45:16 mindlife pulseaudio[3090]: [pulseaudio] authkey.c: Failed to load authorization key '/home/pastordi/.config/pulse/cookie': Нет такого файла или каталога
Mar 21 16:45:16 mindlife pulseaudio[3102]: [pulseaudio] pid.c: Daemon already running.
Mar 21 16:45:16 mindlife pulseaudio[3104]: [pulseaudio] pid.c: Daemon already running.
Mar 21 16:45:16 mindlife pulseaudio[3106]: [pulseaudio] pid.c: Daemon already running.
pastordi@mindlife:~$ 
==============================
Comment 25 Postnikov Dmitry 2013-03-21 16:57:06 MSK
Hmm... i forgot in report write, but mplayer not play .mp3/.ogg file from konsole.

And now (after remove folder) mplayer all play .mp3/.ogg file from konsole.
Comment 26 Postnikov Dmitry 2013-03-21 17:07:25 MSK
Created attachment 1271 [details]
pulse2.log

New one message from our testers.
==========
I put the stick - received such a message. 
http://cdn.2safe.com/397901033048/pech.png

I think that due to the fact that the headphones at me through the USB receiver go. The sound from the headphones passed by the speakers of the laptop.
A setback on a previous version,this was not. The headphones have a maximum priority Among devices.

Add lof file.
===============
RU:
Вставил флешку — получил такое сообщение. Думаю, что связано с тем, что наушники у меня через USB приёмник идут. Звук от этого из наушников перешёл на колонки ноутбука.
Регресс, на предыдущей версии,такого не было.  Наушники имеют максимальный приоритет Среди устройств.
===============
Comment 27 Alexander Burmashev 2013-03-21 18:15:21 MSK
After discussion with Alex Kazancev we decided to take a risk and publish the update anyway.
We expect a major feedback, including bug reports and feature requests.